# -*- encoding: utf-8 -*-
# stub: opensearch-ruby 3.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "opensearch-ruby".freeze
  s.version = "3.4.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/opensearch-project/opensearch-ruby/issues", "changelog_uri" => "https://github.com/opensearch-project/opensearch-ruby/blob/main/CHANGELOG.md", "documentation_uri" => "https://rubydoc.info/gems/opensearch-ruby", "homepage_uri" => "https://github.com/opensearch-project/opensearch-ruby", "source_code_uri" => "https://github.com/opensearch-project/opensearch-ruby/tree/main" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Elastic".freeze, "OpenSearch Contributors".freeze]
  s.date = "2025-02-01"
  s.description = "OpenSearch Ruby is a Ruby client for OpenSearch. You can use the client to\nexecute OpenSearch API commands, and build OpenSearch queries and aggregations\nusing the included OpenSearch DSL.\n".freeze
  s.email = "opensearch@amazon.com".freeze
  s.executables = ["opensearch_ruby_console".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "USER_GUIDE.md".freeze, "LICENSE.txt".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze, "USER_GUIDE.md".freeze, "bin/opensearch_ruby_console".freeze]
  s.homepage = "https://github.com/opensearch-project/opensearch-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.5.22".freeze
  s.summary = "Ruby Client for OpenSearch".freeze

  s.installed_by_version = "3.5.22".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<faraday>.freeze, [">= 1.0".freeze, "< 3".freeze])
  s.add_runtime_dependency(%q<multi_json>.freeze, [">= 1.0".freeze])
end
